Package org.eclipse.debug.core

# Interface ILaunchConfigurationListener

All Known Implementing Classes:
  `AbstractSourceLookupDirector`, `Launch`

public interface ILaunchConfigurationListener
Notified when a launch configuration is created, deleted, or changed.

Clients may implement this interface.

Since:
  2.0

## Method Summary

Modifier and Type
Method
Description
`void`
`launchConfigurationAdded(ILaunchConfiguration configuration)`
The given launch configuration has been created.
`void`
`launchConfigurationChanged(ILaunchConfiguration configuration)`
The given launch configuration has changed in some way.
`void`
`launchConfigurationRemoved(ILaunchConfiguration configuration)`
The given launch configuration has been deleted.

## Method Details

### launchConfigurationAdded

void launchConfigurationAdded(ILaunchConfiguration configuration)
The given launch configuration has been created.

Parameters:
  `configuration` - the newly created launch configuration

### launchConfigurationChanged

void launchConfigurationChanged(ILaunchConfiguration configuration)
The given launch configuration has changed in some way. The configuration may be a working copy.

Parameters:
  `configuration` - the launch configuration that has changed

### launchConfigurationRemoved

void launchConfigurationRemoved(ILaunchConfiguration configuration)
The given launch configuration has been deleted.

The launch configuration no longer exists. Data stored in the configuration can no longer be accessed, however handle-only attributes of the launch configuration can be retrieved.

Parameters:
  `configuration` - the deleted launch configuration